package com.example.what_the_fantasy.data.services

import com.example.what_the_fantasy.data.local.UserStub.users
import com.example.what_the_fantasy.data.model.User

interface IServices {
    fun EditUsername(username : String)
    fun EditEmail(email : String)
    fun EditPasswd(passwd : String, passwdValid : String)
    fun EditImage(imageURL : String)

    fun CreateUser(username : String, email : String, passwd : String, imageURL: String, services : IServices) : Boolean
    fun getFavorite(username: String)
    fun getAllUsers(): List<User>

    fun getUserById(id: Int): User?

    fun SearchQuote(quote : String)



}